Bug 843498 - 3.1 - [vdsm][Networking] Change getVdsCaps reporting of networks
3.1 - [vdsm][Networking] Change getVdsCaps reporting of networks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Dan Kenigsberg
Martin Pavlik
network
:
Depends On:
Blocks: 842986
  Show dependency treegraph
 
Reported: 2012-07-26 09:23 EDT by Mike Kolesnik
Modified: 2015-04-06 23:09 EDT (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-25.0
Doc Type: Enhancement
Doc Text:
Red Hat Enterprise Virtualization 3.1 allows non-virtual-machine networks, implemented without a bridge. VDSM can now define and report both virtual machine networks and non-virtual-machine networks.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:03:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kolesnik 2012-07-26 09:23:26 EDT
Description of problem:
Need to change getVdsCaps with these changes:
* report bridges
* report cfg for each device (+nic, +vlan)
* report interface=bridge for bridged networks (API change)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 lpeer 2012-07-29 02:02:01 EDT
The motivation for this change is a missing report on getVdsCaps of Boot-protocol for bridgless networks.
Comment 4 Igor Lvovsky 2012-07-30 12:12:06 EDT
http://gerrit.ovirt.org/#/c/6644/
Comment 6 Martin Pavlik 2012-08-03 03:31:24 EDT
It seems that all itmes mentioned in description are contained in getVdsCaps
  
host __em1--->rhevm
    |__em2--->NET_BRIDGELESS
    |__p1p1
    |      -->bond4-> VLAN5
    |__p1p2

[root@dell-r210ii-07 ~]# vdsClient -s 0 getVdsCaps | grep bridges
	bridges = {'rhevm': {'addr': '10.34.66.71', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'BOOTPROTO': 'dhcp', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['em1']}, 'VLAN5': {'addr': '', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'VLAN5', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'stp': 'off', 'ports': ['bond4.5']}}
[root@dell-r210ii-07 ~]# vdsClient -s 0 getVdsCaps
	HBAInventory = {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:2bf48d38b7da'}], 'FC': []}
	ISCSIInitiatorName = iqn.1994-05.com.redhat:2bf48d38b7da
	bondings = {'bond4': {'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'slaves': ['p1p1', 'p1p2'], 'hwaddr': '90:E2:BA:04:29:88'}, 'bond0': {'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond1': {'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond2': {'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond3': {'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}
	bridges = {'rhevm': {'addr': '10.34.66.71', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'BOOTPROTO': 'dhcp', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['em1']}, 'VLAN5': {'addr': '', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'VLAN5', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'stp': 'off', 'ports': ['bond4.5']}}
	clusterLevels = ['3.0', '3.1']
	cpuCores = 4
	cpuFlags = fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,rdtscp,lm,constant_tsc,arch_perfmon,pebs,bts,rep_good,xtopology,nonstop_tsc,aperfmperf,pni,pclmulqdq,dtes64,monitor,ds_cpl,vmx,smx,est,tm2,ssse3,cx16,xtpr,pdcm,sse4_1,sse4_2,x2apic,popcnt,aes,xsave,avx,lahf_lm,ida,arat,epb,xsaveopt,pln,pts,dts,tpr_shadow,vnmi,flexpriority,ept,vpid,model_Nehalem,model_Conroe,model_Penryn,model_Westmere,model_SandyBridge
	cpuModel = Intel(R) Xeon(R) CPU E31240 @ 3.30GHz
	cpuSockets = 1
	cpuSpeed = 3292.392
	emulatedMachines = ['rhel6.3.0', 'pc', 'rhel6.2.0', 'rhel6.1.0', 'rhel6.0.0', 'rhel5.5.0', 'rhel5.4.4', 'rhel5.4.0']
	guestOverhead = 65
	hooks = {}
	kvmEnabled = true
	lastClient = 10.34.63.65
	lastClientIface = rhevm
	management_ip = 
	memSize = 7862
	netConfigDirty = True
	networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.34.66.71', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'BOOTPROTO': 'dhcp', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.34.66.254', 'ports': ['em1']}, 'NET_BRIDGELESS': {'iface': 'em2', 'addr': '', 'mtu': '1500', 'netmask': '', 'bridged': False, 'interface': 'em2', 'gateway': '0.0.0.0'}, 'VLAN5': {'iface': 'VLAN5', 'addr': '', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'VLAN5', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'stp': 'off', 'bridged': True, 'gateway': '0.0.0.0', 'ports': ['bond4.5']}}
	nics = {'p1p1': {'permhwaddr': '90:E2:BA:04:29:88', 'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:88', 'MASTER': 'bond4', 'DEVICE': 'p1p1'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:E2:BA:04:29:88', 'speed': 1000}, 'p1p2': {'permhwaddr': '90:E2:BA:04:29:89', 'addr': '', 'cfg': {'SLAVE': 'yes', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '90:E2:BA:04:29:89', 'MASTER': 'bond4', 'DEVICE': 'p1p2'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:E2:BA:04:29:88', 'speed': 1000}, 'em1': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'NM_CONTROLLED': 'no', 'DEVICE': 'em1', 'BOOTPROTO': 'dhcp', 'HWADDR': 'D0:67:E5:F0:82:44', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': 'D0:67:E5:F0:82:44', 'speed': 1000}, 'em2': {'addr': '', 'cfg': {'DEVICE': 'em2', 'HWADDR': 'D0:67:E5:F0:82:45', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': 'D0:67:E5:F0:82:45', 'speed': 1000}}
	operatingSystem = {'release': '6.3.0.3.el6', 'version': '6Server', 'name': 'RHEL'}
	packages2 = {'kernel': {'release': '279.el6.x86_64', 'buildtime': 1339604676.0, 'version': '2.6.32'}, 'spice-server': {'release': '10.el6', 'buildtime': '1337611492', 'version': '0.10.1'}, 'vdsm': {'release': '26.0.el6_3', 'buildtime': '1343838445', 'version': '4.9.6'}, 'qemu-kvm': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}, 'libvirt': {'release': '21.el6_3.3', 'buildtime': '1341975208', 'version': '0.9.10'}, 'qemu-img': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}}
	reservedMem = 321
	software_revision = 26.0
	software_version = 4.9
	supportedProtocols = ['2.2', '2.3']
	supportedRHEVMs = ['3.0', '3.1']
	uuid = 4C4C4544-0037-5410-8033-C3C04F39354A_90:E2:BA:04:29:88
	version_name = Snow Man
	vlans = {'bond4.5': {'netmask': '', 'iface': 'bond4', 'addr': '', 'mtu': '1500'}}
	vmTypes = ['kvm']
Comment 9 errata-xmlrpc 2012-12-04 14:03:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.